package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 评论表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-30
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvCommentDao;
import com.heyu.api.data.entity.vv.VvCommentEntity;
import com.heyu.api.data.service.vv.VvCommentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvCommentServiceImpl extends ServiceImpl<VvCommentDao, VvCommentEntity> implements VvCommentService {


    @Autowired
	private VvCommentDao vvCommentDao;



	@Override
	public VvCommentEntity selectVvCommentById(Long id){
		return vvCommentDao.selectVvCommentById(id);
	}



	@Override
	public Long insertVvComment(VvCommentEntity vvComment){
		return vvCommentDao.insertVvComment(vvComment);
	}



	@Override
	public Long insertOrUpdateVvComment(VvCommentEntity vvComment){
		return vvCommentDao.insertOrUpdateVvComment(vvComment);
	}



	@Override
	public int updateVvCommentById(VvCommentEntity vvComment){
		return vvCommentDao.updateVvCommentById(vvComment);
	}



	@Override
	public int updateCoverVvCommentById(VvCommentEntity vvComment){
		return vvCommentDao.updateCoverVvCommentById(vvComment);
	}



	@Override
	public int deleteVvCommentById(Long id){
		return vvCommentDao.deleteVvCommentById(id);
	}



}
